### Virtual Method

# Clutter InputFocus set_preedit_text

#### Declaration [src]

    void
    set_preedit_text (
      ClutterInputFocus* focus,
      const gchar* preedit,
      guint cursor,
      guint anchor
    )

#### Description

No description available.

#### Parameters

`preedit`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cursor`

  Type: `guint`

  No description available.

`anchor`

  Type: `guint`

  No description available.